View Issue Details

IDProjectCategoryView StatusLast Update
0003306SymmetricDSBugpublic2017-12-13 09:00
Reporterjosh-a-hicksAssigned Tojosh-a-hicks 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.8.0 
Target Version3.8.32Fixed in Version3.8.32 
Summary0003306: MSSQL Server will not retrieve schemas correctly for a different database/catalog
DescriptionThe getSchemas method of MSSQL DdlBuilder always returns the list of schemas for the default database even if a different catalog/database is passed into the method. This is not noticeable if the list of schemas is the same in both databases (dbo etc). However if there are custom schemas in the non default database they would not be retrieved from the getSchemas call.
Steps To ReproduceCreate another database (other than the symmetric users default) and create a new schema in this database. Call getSchemas on the DDL reader to verify the newly created schema is returned.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.8 776559f3

2017-11-09 13:26:30

josh-a-hicks

Details Diff
0003306: MSSQL Server will not retrieve schemas correctly for a
different database/catalog

0003306
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/AbstractJdbcDdlReader.java Diff File

SymmetricDS: 3.8 c7063fbf

2017-11-09 13:49:22

josh-a-hicks

Details Diff
0003306: MSSQL Server will not retrieve schemas correctly for a
different database/catalog

0003306
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/mssql/MsSqlDdlReader.java Diff File

Issue History

Date Modified Username Field Change
2017-11-09 13:21 josh-a-hicks New Issue
2017-11-09 13:21 josh-a-hicks Status new => assigned
2017-11-09 13:21 josh-a-hicks Assigned To => josh-a-hicks
2017-11-09 13:27 josh-a-hicks Status assigned => resolved
2017-11-09 13:27 josh-a-hicks Resolution open => fixed
2017-11-09 13:27 josh-a-hicks Fixed in Version => 3.8.32
2017-11-20 10:34 mmichalek Status resolved => closed
2017-12-13 09:00 josh-a-hicks Changeset attached => SymmetricDS 3.8 c7063fbf
2017-12-13 09:00 josh-a-hicks Changeset attached => SymmetricDS 3.8 776559f3